Skip to main content
GET
/
network
/
firewalls
/
{firewall_id}
/
rules
/
{rule_id}
Get Firewall Rule by ID
curl --request GET \
  --url https://api.cloud.onidel.com/network/firewalls/{firewall_id}/rules/{rule_id} \
  --header 'Authorization: <api-key>'
{
  "firewall_rule": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ip_type": "v4",
    "action": "allow",
    "protocol": "tcp",
    "port": "443",
    "subnet": "0.0.0.0",
    "subnet_size": "0",
    "desc": "Allow HTTPS"
  }
}

Authorizations

Authorization
string
header
required

Provide the value as: Token <your-api-token>

Path Parameters

firewall_id
string<uuid>
required

Firewall Group UUID

rule_id
string<uuid>
required

Firewall Rule UUID

Query Parameters

team_id
string<uuid>

Team ID

Response

Successful operation

firewall_rule
object